Code::Blocks

Developer forums (C::B DEVELOPMENT STRICTLY!) => Development => Topic started by: Pecan on May 16, 2019, 05:23:10 pm

Title: Error in Linux 'update' script
Post by: Pecan on May 16, 2019, 05:23:10 pm
Head rev 11696
On Mint 17.2/64bit the update script gets the error:

Updating Linux version.
./update: 26: ./update: Syntax error: "(" unexpected (expecting "}")

Line 26 contains:
dirs=(16x16 20x20 24x24 28x28 32x32 40x40 48x48 56x56 64x64)

Changing the '()'s to '{}'s solves the problem.

Ticket #827
Title: Re: Error in Linux 'update' script
Post by: oBFusCATed on May 16, 2019, 07:22:11 pm
I think the proper fix here is to require bash, at least the implementation and features would be the same everywhere...
Title: Re: Error in Linux 'update' script
Post by: oBFusCATed on May 16, 2019, 08:12:26 pm
Fixed... annoying standards...